#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OmniCDDB

PROJECTVERSION = 2.8
PROJECT_TYPE = Framework
English_RESOURCES = CDDBPreferences.nib

LANGUAGES = English

GLOBAL_RESOURCES = CDDBPreferences.nib OmniSourceLicense.html

CLASSES = CDDBDatabase.m CDDBPreferences.m

HFILES = CDDBDatabase.h CDDBPreferences.h

OTHERSRCS = cddb.howto CustomInfo.plist Makefile Makefile.postamble\
            Makefile.preamble

MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = framework.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
WINDOWS_INSTALLDIR = $(OMNI_FRAMEWORKS)
PDO_UNIX_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORK_PATHS = -F$(OMNI_FRAMEWORKS)\
                  -F$(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)
NEXTSTEP_PB_CFLAGS = -Wall -O2
WINDOWS_PB_CFLAGS = -Wall -O2 -D _NSBUILDING_$(NAME)_DLL
PDO_UNIX_PB_CFLAGS = -Wall -O2
FRAMEWORKS = -framework Foundation -framework OmniAppKit\
             -framework OmniBase -framework OmniFoundation\
             -framework OmniNetworking
PUBLIC_HEADERS = CDDBDatabase.h CDDBPreferences.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

WINDOWS_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

PDO_UNIX_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(JDKBINDIR)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
